﻿using System.Text.Json.Serialization;

namespace PrivaPub.Models.ActivityPub
{
	[JsonSerializable(typeof(ActivityPubCollectionPage))]
	public class ActivityPubCollectionPage : ActivityPubCollection
	{
		[JsonPropertyName("type")]
		public new ObjectType Type => ObjectType.CollectionPage;

		[JsonPropertyName("partOf")]
		public string BaseCollectionLink { get; set; }
		[JsonPropertyName("next")]
		public string NextCollectionLink { get; set; }
		[JsonPropertyName("prev")]
		public string PreviousCollectionLink { get; set; }
	}
}
