﻿using System.Text.Json.Serialization;

namespace PrivaPub.Models.ActivityPub
{
	[JsonSerializable(typeof(ActivityPubLink))]
	public class ActivityPubLink : ActivityPubObject
	{
		[JsonPropertyName("id")]
		public new ObjectType Type { get; set; } = ObjectType.Mention;

		[JsonPropertyName("href")]
		public string Href { get; set; }
		[JsonPropertyName("preview")]
		public string Preview { get; set; }

		[JsonPropertyName("name")]
		public string Name { get; set; }
		[JsonPropertyName("rel")]
		public string Relation { get; set; }
		[JsonPropertyName("hreflang")]
		public string HrefLang { get; set; }

		[JsonPropertyName("height")]
		public int Height { get; set; }
		[JsonPropertyName("width")]
		public int Width { get; set; }
	}
}
