﻿namespace PrivaPub.Models.ActivityPub
{
	public enum ObjectType
	{
		//Object types
		Article,
		Audio,
		Document,
		Event,
		Image,
		Note,
		Page,
		Place,
		Profile,
		Relationship,
		Tombstone,
		Video,
		//Link types
		Mention,
		//Actor
		Application,
		Group,
		Organization,
		Person,
		Service,
		//Activity
		Accept,
		Add,
		Announce,
		Arrive,
		Block,
		Create,
		Delete,
		Dislike,
		Flag,
		Follow,
		Ignore,
		Invite,
		Join,
		Leave,
		Like,
		Listen,
		Move,
		Offer,
		Question,
		Reject,
		Read,
		Remove,
		TentativeReject,
		TentativeAccept,
		Travel,
		Undo,
		Update,
		View,
		//Collections
		Collection,
		OrderedCollection,
		CollectionPage,
		OrderedCollectionPage,
		//NULL or default
		Unknown
	}
}
