﻿using PrivaPub.Models.Data;

namespace PrivaPub.Services.ClientToServer.Public
{
	public interface IDataService
	{
		string GetCurrentVersion();

		Task<IEnumerable<Language>> GetLanguages(CancellationToken cancellationToken);

		Task<bool> IsValidLanguageId(string languageId);
	}
}