﻿using System.Text.Json.Serialization;

namespace PrivaPub.Models.ActivityPub
{
	[JsonSerializable(typeof(ActivityPubOrderedCollection))]
	public class ActivityPubOrderedCollection : ActivityPubCollection
	{
		[JsonPropertyName("type")]
		public new ObjectType Type => ObjectType.OrderedCollection;

		[JsonPropertyName("orderedItems")]
		public List<ActivityPubLink> OrderedItems { get; set; }

		[JsonPropertyName("totalItems")]
		public new int TotalItems => OrderedItems?.Count ?? default;
	}
}
