﻿using MongoDB.Entities;

namespace PrivaPub.Models.Post
{
	public class Post : Entity
	{
		public string GroupUserId { get; set; }
		public string AnsweringToPostId { get; set; }
		public string GroupId { get; set; }
		public string Title { get; set; }
		public string Text { get; set; }
		public List<PostMedia> Media { get; set; } = new();
		public List<float> Location { get; set; } = new();
		public float RangeKm { get; set; } = 5.0f;
		public bool HasContentWarning { get; set; } = false;

		public bool IsFederatedCopy { get; set; }

		public DateTime CreationDate { get; set; } = DateTime.UtcNow;
		public DateTime? UpdateDate { get; set; } = DateTime.UtcNow;
		public string UpdateReason { get; set; }
	}
}
