﻿using MongoDB.Entities;

using PrivaPub.Models;
using PrivaPub.Models.Data;
using PrivaPub.Models.Post;
using PrivaPub.Models.User;

namespace PrivaPub.StaticServices
{
	public class DbEntities
	{
		public Find<RootUser> RootUsers { get { return DB.Find<RootUser>(); } }
		public Find<RootUserNote> RootUserNotes { get { return DB.Find<RootUserNote>(); } }

		public Find<AppConfiguration> AppConfiguration { get { return DB.Find<AppConfiguration>(); } }
		public Find<Language> Languages { get { return DB.Find<Language>(); } }
		public Find<EmailRecovery> EmailRecoveries { get { return DB.Find<EmailRecovery>(); } }

		public Find<Post> Posts { get { return DB.Find<Post>(); } }
		public Find<DmPost> DmPosts { get { return DB.Find<DmPost>(); } }

		public Find<Avatar> Avatars { get { return DB.Find<Avatar>(); } }
		public Find<ForeignAvatar> ForeignAvatars { get { return DB.Find<ForeignAvatar>(); } }

		public Find<RootToAvatar> RootToAvatars { get { return DB.Find<RootToAvatar>(); } }
	}
}
